org.apache.lucene.util

## Interface NamedSPILoader.NamedSPI

All Known Implementing Classes:
  Codec, DocValuesFormat, FilterCodec, Lucene80DocValuesFormat, Lucene84Codec, Lucene84PostingsFormat, PerFieldDocValuesFormat, PerFieldPostingsFormat, PostingsFormat

Enclosing class:
  NamedSPILoader<S extends NamedSPILoader.NamedSPI>

    public static interface NamedSPILoader.NamedSPI

Interface to support `NamedSPILoader.lookup(String)` by name.

Names must be all ascii alphanumeric, and less than 128 characters in length.

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getName()`

### Method Detail

#### getName

    String getName()